Overview :
The security vulnerabilities detected in JetBrains products as follows
Affected Product(s) :
  • JetBrains YouTrack versions before 2019.1.52584.
  • JetBrains IntelliJ IDEA before 2019.2.
  • JetBrains TeamCity 2018.2.4.
Vulnerability Details :
CVE ID : CVE-2019-14952
JetBrains YouTrack versions before 2019.1.52584 had a possible XSS in the issue titles.
CVE ID : CVE-2019-14954
JetBrains IntelliJ IDEA before 2019.2 was resolving the markdown plantuml artifact download link via a cleartext http connection.
CVE ID : CVE-2019-15039
An issue was discovered in JetBrains TeamCity 2018.2.4. It had a possible remote code execution issue. This was fixed in TeamCity 2018.2.5 and 2019.1.

Solution :

*** update to the latest version ***